Account pembayaran

GET https://qrcloud.online/api/payments/
curl --request GET \
--url 'https://qrcloud.online/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
Parameters Butiran Penerangan
processor Pilihan String Allowed values: paypal, stripe, offline_payment, payu, iyzico, paystack, razorpay, mollie, yookassa, crypto_com, paddle, paddle_billing, mercadopago, midtrans, flutterwave, lemonsqueezy, myfatoorah, klarna, plisio, revolut
status Pilihan String Allowed values: paid, pending, cancelled, refunded
type Pilihan String Allowed values: one_time, recurring
frequency Pilihan String Allowed values: monthly, quarterly, biannual, annual, lifetime
datetime_field Pilihan String Allowed values: datetime
datetime_start Pilihan String Tapis hasil bermula dari tarikh ini. Format Y-m-d H:i:s.
datetime_end Pilihan String Tapis keputusan sehingga tarikh ini. Format Y-m-d H:i:s.
order_by Pilihan String Bidang untuk menyusun hasil mengikutnya. Nilai yang dibenarkan ialah: id, datetime, total_amount.
order_type Pilihan String Susunan keputusan. Nilai yang dibenarkan ialah: ASC untuk susunan menaik, dan DESC untuk susunan menurun.
page Pilihan Integer Nombor halaman yang anda mahu keputusan dari. Lalai kepada 1.
results_per_page Pilihan Integer How many results you want per halaman. Allowed values are: 10, 25, 50, 100, 250, 500, 1000. Defaults to 25.
{
    "data": [
        {
            "id": 1,
            "plan_id": 1,
            "processor": "stripe",
            "type": "one_time",
            "frequency": "monthly",
            "email": "example@example.com",
            "name": null,
            "total_amount": "4.99",
            "currency": "USD",
            "status": true,
            "datetime": "2026-05-20 05:33:43",
        },
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://qrcloud.online/api/payments?page=1",
        "last": "https://qrcloud.online/api/payments?page=1",
        "next": null,
        "prev": null,
        "self": "https://qrcloud.online/api/payments?page=1"
    }
}
GET https://qrcloud.online/api/payments/{payment_id}
curl --request GET \
--url 'https://qrcloud.online/api/payments/{payment_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "plan_id": 1,
        "processor": "stripe",
        "type": "one_time",
        "frequency": "monthly",
        "email": "example@example.com",
        "name": null,
        "total_amount": "4.99",
        "currency": "USD",
        "status": true,
        "datetime": "2026-05-20 05:33:43",
    }
}